local StoneGateV3 = ...

-- Register crenation model asset
StoneGateV3:registerAssetId("models/crenationV3.fbx/Prefab", "SGV3JRV_WALL_CRENATION_PREFAB")

-- Register new material for the wall texture
StoneGateV3:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_SGV3JRV_WALL",
	HasAlphaTest = false,
	AlbedoTexture = "RockWalls.png"
})

-- Register new material for the wall top texture
StoneGateV3:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_SGV3JRV_WALL_TOP",
	HasAlphaTest = false,
	AlbedoTexture = "CastleRockTextureTestVersion2.png"
})

-- Register the wall asset
StoneGateV3:register({
	DataType = "WALL_CONFIG",
	Id = "SGV3JRV_WALL",
	WallConfigName = "SGV3JRV_WALL",
	IsManuallyUnlocked = true,
	Material = "MATERIAL_SGV3JRV_WALL",
	MaterialTop = "MATERIAL_SGV3JRV_WALL_TOP",
	Crenation = "SGV3JRV_WALL_CRENATION_PREFAB",
	CrenationDistance = 1.35,
	StepLength = 4,
	Width = 2,
	Height = 5,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 6.15,
	CrenationOffsetZ = 0.27
})

StoneGateV3:register({
	DataType = "UNLOCKABLE_WALL",
	Id = "UNLOCKABLE_SGV3JRV_WALL",
	Name = "UNLOCKABLE_SGV3JRV_WALL_NAME",
	Description = "UNLOCKABLE_SGV3JRV_WALL_DESC",
	EstateInfluenceCostList = {
		{ Estate = "KINGDOM", Quantity = 1 }
	},
	WallToUnlock = "SGV3JRV_WALL",
})